Index: branches/SHM-dev/source/Lib/TAppCommon/program_options_lite.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TAppCommon/program_options_lite.cpp	(revision 1029)
+++ branches/SHM-dev/source/Lib/TAppCommon/program_options_lite.cpp	(revision 1246)
@@ -2,5 +2,5 @@
  * License, included below. This software may be subject to other third party
  * and contributor rights, including patent rights, and no such rights are
- * granted under this license.  
+ * granted under this license.
  *
  * Copyright (c) 2010-2014, ITU/ISO/IEC
@@ -50,5 +50,5 @@
   namespace program_options_lite
   {
-    
+
     Options::~Options()
     {
@@ -58,5 +58,5 @@
       }
     }
-    
+
     void Options::addOption(OptionBase *opt)
     {
@@ -64,5 +64,5 @@
       names->opt = opt;
       string& opt_string = opt->opt_string;
-      
+
       size_t opt_start = 0;
       for (size_t opt_end = 0; opt_end != string::npos;)
@@ -96,5 +96,5 @@
       return OptionSpecific(*this);
     }
-    
+
     static void setOptions(Options::NamesPtrList& opt_list, const string& value)
     {
@@ -108,5 +108,5 @@
 
     static const char spaces[41] = "                                        ";
-    
+
     /* format help text for a single option:
      * using the formatting: "-x, --long",
@@ -138,5 +138,5 @@
       }
     }
-    
+
     /* format the help text */
     void doHelp(ostream& out, Options& opts, unsigned columns)
@@ -154,5 +154,5 @@
       unsigned opt_width = min(max_width+2, 28u + pad_short) + 2;
       unsigned desc_width = columns - opt_width;
-      
+
       /* second pass: write out formatted option and help text.
        *  - align start of help text to start at opt_width
@@ -209,5 +209,5 @@
             split_pos = opt_desc.find_last_not_of(' ', split_pos) + 1;
           }
-          
+
           /* bad split if no suitable space to split at.  fall back to width */
           bool bad_split = split_pos == string::npos || split_pos <= cur_pos;
@@ -217,5 +217,5 @@
           }
           line << opt_desc.substr(cur_pos, split_pos - cur_pos);
-          
+
           /* eat up any space for the start of the next line */
           if (!bad_split)
@@ -224,5 +224,5 @@
           }
           cur_pos = newline_pos = split_pos;
-          
+
           if (cur_pos >= opt_desc.size())
           {
@@ -235,5 +235,5 @@
       }
     }
-    
+
     bool storePair(Options& opts, bool allow_long, bool allow_short, const string& name, const string& value)
     {
@@ -248,5 +248,5 @@
         }
       }
-      
+
       /* check for the short list */
       if (allow_short && !(found && allow_long))
@@ -269,10 +269,10 @@
       return true;
     }
-    
+
     bool storePair(Options& opts, const string& name, const string& value)
     {
       return storePair(opts, true, true, name, value);
     }
-    
+
     /**
      * returns number of extra arguments consumed
@@ -288,5 +288,5 @@
       size_t arg_opt_sep = arg.find_first_of('=');
       string option = arg.substr(arg_opt_start, arg_opt_sep - arg_opt_start);
-      
+
       unsigned extra_argc_consumed = 0;
       if (arg_opt_sep == string::npos)
@@ -299,5 +299,7 @@
         * booleans */
         if (argc == 1)
+        {
           return 0; /* run out of argv for argument */
+        }
         extra_argc_consumed = 1;
 #endif
@@ -339,5 +341,5 @@
       return 1;
     }
-    
+
     list<const char*>
     scanArgv(Options& opts, unsigned argc, const char* argv[])
@@ -376,5 +378,7 @@
           /* a lone double dash ends option processing */
           while (++i < argc)
+          {
             non_option_arguments.push_back(argv[i]);
+          }
           break;
         }
@@ -386,5 +390,5 @@
       return non_option_arguments;
     }
-    
+
     void scanLine(Options& opts, string& line)
     {
@@ -441,6 +445,5 @@
          * any trailing whitespace will be removed shortly */
         value_end = line.find_first_not_of(" \t\n\r", value_end);
-      }
-      while (value_end != string::npos);
+      } while (value_end != string::npos);
       /* strip any trailing space from value*/
       value_end = line.find_last_not_of(" \t\n\r", value_end);
@@ -468,6 +471,5 @@
         getline(in, line);
         scanLine(opts, line);
-      }
-      while(!!in);
+      } while(!!in);
     }
 
Index: branches/SHM-dev/source/Lib/TAppCommon/program_options_lite.h
===================================================================
--- branches/SHM-dev/source/Lib/TAppCommon/program_options_lite.h	(revision 1029)
+++ branches/SHM-dev/source/Lib/TAppCommon/program_options_lite.h	(revision 1246)
@@ -2,5 +2,5 @@
  * License, included below. This software may be subject to other third party
  * and contributor rights, including patent rights, and no such rights are
- * granted under this license.  
+ * granted under this license.
  *
  * Copyright (c) 2010-2014, ITU/ISO/IEC
@@ -49,5 +49,5 @@
   {
     struct Options;
-    
+
     struct ParseFailure : public std::exception
     {
@@ -73,5 +73,5 @@
     void parseConfigFile(Options& opts, const std::string& filename);
     bool storePair(Options& opts, const std::string& name, const std::string& value);
-    
+
     /** OptionBase: Virtual base class for storing information relating to a
      * specific option This base class describes common elements.  Type specific
@@ -82,16 +82,16 @@
       : opt_string(name), opt_desc(desc)
       {};
-      
+
       virtual ~OptionBase() {}
-      
+
       /* parse argument arg, to obtain a value for the option */
       virtual void parse(const std::string& arg) = 0;
       /* set the argument to the default value */
       virtual void setDefault() = 0;
-      
+
       std::string opt_string;
       std::string opt_desc;
     };
-    
+
     /** Type specific option storage */
     template<typename T>
@@ -101,16 +101,16 @@
       : OptionBase(name, desc), opt_storage(storage), opt_default_val(default_val)
       {}
-      
+
       void parse(const std::string& arg);
-      
+
       void setDefault()
       {
         opt_storage = opt_default_val;
       }
-      
+
       T& opt_storage;
       T opt_default_val;
     };
-    
+
     /* Generic parsing */
     template<typename T>
@@ -129,5 +129,5 @@
       }
     }
-    
+
     /* string parsing is specialized -- copy the whole string, not just the
      * first word */
@@ -138,36 +138,36 @@
       opt_storage = arg;
     }
-    
+
     /** Option class for argument handling using a user provided function */
     struct OptionFunc : public OptionBase
     {
       typedef void (Func)(Options&, const std::string&);
-      
+
       OptionFunc(const std::string& name, Options& parent_, Func *func_, const std::string& desc)
       : OptionBase(name, desc), parent(parent_), func(func_)
       {}
-      
+
       void parse(const std::string& arg)
       {
         func(parent, arg);
       }
-      
+
       void setDefault()
       {
         return;
       }
-      
+
     private:
       Options& parent;
       void (*func)(Options&, const std::string&);
     };
-    
+
     class OptionSpecific;
     struct Options
     {
       ~Options();
-      
+
       OptionSpecific addOptions();
-      
+
       struct Names
       {
@@ -176,5 +176,7 @@
         {
           if (opt)
+          {
             delete opt;
+          }
         }
         std::list<std::string> opt_long;
@@ -184,13 +186,13 @@
 
       void addOption(OptionBase *opt);
-      
+
       typedef std::list<Names*> NamesPtrList;
       NamesPtrList opt_list;
-      
+
       typedef std::map<std::string, NamesPtrList> NamesMap;
       NamesMap opt_long_map;
       NamesMap opt_short_map;
     };
-    
+
     /* Class with templated overloaded operator(), for use by Options::addOptions() */
     class OptionSpecific
@@ -198,5 +200,5 @@
     public:
       OptionSpecific(Options& parent_) : parent(parent_) {}
-      
+
       /**
        * Add option described by name to the parent Options list,
@@ -281,5 +283,5 @@
       Options& parent;
     };
-    
+
   } /* namespace: program_options_lite */
 } /* namespace: df */
